procedure $graph1
argument db,sdate,ehist,edate,varlist,picname
over on
exec "vlist={"+varlist+"}"
open <acc r> db as r1
freq q
page divi rows 1, colu 1
image date daily "<m>/<d>/<year>" 
scalar work'dbname1: string=upper(ltrim(mirror(substring(mirror(filespec(r1)),4,location(mirror(filespec(r1)),"\"))),"\"))
scalar work'dbdate1:string=datefmt(dbupdated(r1))
date sdate to edate

dec 1
devi graph postl
tick label size xsmall
legend size small
legend division columns 3
axis on
picture <access over> picname

page frame off
image date quarterly "<year>:<p>"
page title #1 left  text "Printed: "+today+" "+now, size xsmall
page title #1 right  text "Database: "+dbname1, size xsmall
page title #2 right  text "Created: "+dbdate1, size xsmall
page title #3 text ""+forecast_round[1]+" Forecast Round", size medium
--page title #4 text "Round Zero", size medium
graph
 data vlist
 draw marking <depict axis left> at 0.0

 draw marking <depict axis bottom> at ehist
end graph
close all
picture terminal
end procedure






procedure $scgra
argument dbc,dbs,sdate,ehist,edate,varlist,picname
over on
exec "vlist={"+varlist+"}"
open <acc r> dbc as rc
open <acc r> dbs as r1
freq q

page divi rows 4, colu 2

image date daily "<m>/<d>/<year>" 
scalar work'dbname1: string=upper(ltrim(mirror(substring(mirror(filespec(r1)),4,location(mirror(filespec(r1)),"\"))),"\"))
scalar work'dbnamec: string=upper(ltrim(mirror(substring(mirror(filespec(rc)),4,location(mirror(filespec(rc)),"\"))),"\"))

scalar work'dbdate1:string=datefmt(dbupdated(r1))

date sdate to edate


devi graph postp
tick label size xsmall
legend off
axis on
picture <access over> picname

page frame off
image date quarterly "<year>:<p>"
page title #1 left  text "Printed: "+today+" "+now, size xsmall
page title #1 right  text "Database: "+dbname1, size xsmall
page title #2 right  text "Created: "+dbdate1, size xsmall
page title #3 text ""+forecast_round[1]+" Forecast Round", size medium
page title #4 text "Round Zero", size medium
page title #5 text "Deviation from baseline: "+dbname1+" - "+dbnamec, size small
loop for var in vlist
try
graph
 title #1 text name(var), size small
 data r1'var-rc'var
 draw marking <depict axis bottom> at ehist
 draw marking <depict axis left> at 0
end graph
otherwise
type errortext
end try
end loop
close all
picture terminal
end procedure


procedure $scgra2
argument dbc,dbs,sdate,ehist,edate,varlist,picname
over on
exec "vlist={"+varlist+"}"
open <acc r> dbc as rc
open <acc r> dbs as r1
freq q

if lastvalue(sl(vlist)) le 2
page divi rows 2
else if  lastvalue(sl(vlist)) le 4
page divi rows 2, colu 2
else if lastvalue(sl(vlist)) le 6
page divi rows 3, colu 2
else if lastvalue(sl(vlist)) le 8
page divi rows 4, colu 2
else
page divi rows 4, colu 2
end if

image date daily "<m>/<d>/<year>" 
scalar work'dbname1: string=upper(ltrim(mirror(substring(mirror(filespec(r1)),4,location(mirror(filespec(r1)),"\"))),"\"))
scalar work'dbnamec: string=upper(ltrim(mirror(substring(mirror(filespec(rc)),4,location(mirror(filespec(rc)),"\"))),"\"))

scalar work'dbdate1:string=datefmt(dbupdated(r1))

date sdate to edate


devi graph postp
tick label size xsmall
legend off
axis on
picture <access over> picname

page frame off
image date quarterly "<year>:<p>"
page title #1 left  text "Printed: "+today+" "+now, size xsmall
page title #1 right  text "Database: "+dbname1, size xsmall
page title #2 right  text "Created: "+dbdate1, size xsmall
page title #3 text ""+forecast_round[1]+" Forecast Round", size medium
page title #4 text "Round One", size medium
page title #5 text "Deviation from baseline: "+dbname1+" - "+dbnamec, size small
loop for var in vlist
try
graph
 title #1 text name(var), size small
 data r1'var-rc'var
 draw marking <depict axis bottom> at ehist
 draw marking <depict axis left> at 0
end graph
otherwise
type errortext
end try
end loop
close all
picture terminal
end procedure


